POST Start a course generation run
Starts an asynchronous AI course generation run and returns its run_id at once. The run writes a manuscript and pauses for human review in the admin dashboard. Poll GET /api/public/v1/course-generations/{id} for status. Requires an OAuth access token; API keys are refused.
Starts an asynchronous AI course generation run and returns its run_id at once. The run writes a manuscript and pauses for human review in the admin dashboard. Poll GET /api/public/v1/course-generations/{id} for status. Requires an OAuth access token; API keys are refused.
Send API keys and access tokens as Authorization: Bearer .
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/course-generations" \ -H "Content-Type: application/json" \ -d '{ "topic": "Example topic", "description": "Example description", "requirements": "Example requirements", "delivery_format": "standard", "complexity": "beginner", "curriculum": { "title": "Example title", "description": "Example description", "target_audience": "Example target audience", "difficulty": "beginner", "learning_objectives": [ "Example learning objectives item" ], "lessons": [ { "title": "Example title", "description": "Example description", "key_topics": [ "Example key topics item" ], "learning_objectives": [ "Example learning objectives item" ], "suggested_bloom": "Remember" } ] }, "source_material_ids": [ "{source_material_ids_item}" ], "theme_id": "{theme_id}", "assessment_policy": "mixed", "course_passing_score": 1, "include_assignments": true, "time_limit_minutes": 1, "profile_version_id": "{profile_version_id}", "idempotency_key": "Example idempotency key" }'{ "run_id": "{run_id}", "course_id": "{course_id}", "course_slug": "string", "status": "string"}{ "run_id": "{run_id}", "course_id": "{course_id}", "course_slug": "string", "status": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}